Gecode::Int::Extensional::LayeredGraph< View, Val, Degree, StateIdx >::Edge Class Reference

Edge defined by in-state and out-state More...

`#include <extensional.hh>`

## Public Attributes

StateIdx | i_state
| Number of in-state.
StateIdx | o_state
| Number of out-state.

## Detailed Description

template<class View, class Val, class Degree, class StateIdx>
class Gecode::Int::Extensional::LayeredGraph< View, Val, Degree, StateIdx >::Edge

Edge defined by in-state and out-state

Definition at line 78 of file extensional.hh.

## Member Data Documentation

## i_state

template<class View, class Val, class Degree, class StateIdx>

StateIdx Gecode::Int::Extensional::LayeredGraph< View, Val, Degree, StateIdx >::Edge::i_state

Number of in-state.

Definition at line 80 of file extensional.hh.

## o_state

template<class View, class Val, class Degree, class StateIdx>

StateIdx Gecode::Int::Extensional::LayeredGraph< View, Val, Degree, StateIdx >::Edge::o_state

Number of out-state.

Definition at line 81 of file extensional.hh.

The documentation for this class was generated from the following file:

- gecode/int/extensional.hh